Execute Action By Name

Execute Action By Name
Runs an action with given category and name

Runs an action with given category and name

Request
URI
POST
https://{api_host}/actions/{categoryName}/{actionName}/executions
COPY
Path Parameters
string
categoryName
Required

categoryName

string
actionName
Required

actionName

Query Parameters
string of array
expand
Optional

expand


Request Body
ActionExecutionContext of type(s) application/json
Required
{
    "executionId": "string",
    "parameters": [
        {
            "value": {
                "type": "string",
                "id": "string",
                "displayValue": "string",
                "href": "string",
                "objectType": "string"
            },
            "name": "string",
            "type": "Example types are: SecureString, MimeAttachment, Regexp, Array/VC:VirtualMachine, boolean, string and etc.",
            "description": "string",
            "scope": "string",
            "updated": false,
            "encrypt-value": false
        }
    ],
    "profilerOptions": {
        "enabled": false,
        "debuggerEnabled": false,
        "tokenReplayEnabled": false
    },
    "breakpoints": [
        {
            "workflowId": "string",
            "elementName": "string",
            "lineNumber": 0,
            "active": false
        }
    ],
    "async-execution": false
}
string
executionId
Optional

executionId

array of object
parameters
Optional

parameters

object
profilerOptions
Optional

profilerOptions

array of object
breakpoints
Optional

breakpoints

boolean
async-execution
Optional

async-execution

Authentication
This operation uses the following authentication methods.
Responses
200

The request is successful

Returns WsActionExecutionResult of type(s) application/json
{
    "value": {
        "0": "s",
        "1": "d",
        "2": "k",
        "3": "-",
        "4": "o",
        "5": "b",
        "6": "j",
        "7": "e",
        "8": "c",
        "9": "t",
        "10": " ",
        "11": "O",
        "12": "b",
        "13": "j",
        "14": "e",
        "15": "c",
        "16": "t",
        "objectType": "string"
    },
    "name": "string",
    "type": "Example types are: SecureString, MimeAttachment, Regexp, Array/VC:VirtualMachine, boolean, string and etc.",
    "description": "string",
    "scope": "string",
    "updated": false,
    "errorMessage": "string",
    "state": "string",
    "debugging": false,
    "errorLineNumber": 0,
    "encrypt-value": false,
    "execution-id": "string"
}
object
value
Optional

Value can be one of the following types: sdk-object, string, properties, number, array, mime-attachment, date, boolean, composite

string As ^[\p{L}_$][\p{L}0-9_$]*$
name
Required

name

string
type
Optional

type

string
description
Optional

description

string
scope
Optional

scope

Possible values are : local, token,
boolean
updated
Optional

updated

string
errorMessage
Optional

errorMessage

string
state
Optional

state

Possible values are : canceled, completed, running, suspended, waiting, waiting-signal, failed, initializing,
boolean
debugging
Optional

debugging

integer As int32 As int32
errorLineNumber
Optional

errorLineNumber

boolean
encrypt-value
Optional

encrypt-value

string
execution-id
Optional

execution-id


401

The user is not authorized

Returns WsActionExecutionResult of type(s) application/json
"WsActionExecutionResult Object"
object
value
Optional

Value can be one of the following types: sdk-object, string, properties, number, array, mime-attachment, date, boolean, composite

string As ^[\p{L}_$][\p{L}0-9_$]*$
name
Required

name

string
type
Optional

type

string
description
Optional

description

string
scope
Optional

scope

Possible values are : local, token,
boolean
updated
Optional

updated

string
errorMessage
Optional

errorMessage

string
state
Optional

state

Possible values are : canceled, completed, running, suspended, waiting, waiting-signal, failed, initializing,
boolean
debugging
Optional

debugging

integer As int32 As int32
errorLineNumber
Optional

errorLineNumber

boolean
encrypt-value
Optional

encrypt-value

string
execution-id
Optional

execution-id


404

Can not find an action with the specified name

Returns WsActionExecutionResult of type(s) application/json
"WsActionExecutionResult Object"
object
value
Optional

Value can be one of the following types: sdk-object, string, properties, number, array, mime-attachment, date, boolean, composite

string As ^[\p{L}_$][\p{L}0-9_$]*$
name
Required

name

string
type
Optional

type

string
description
Optional

description

string
scope
Optional

scope

Possible values are : local, token,
boolean
updated
Optional

updated

string
errorMessage
Optional

errorMessage

string
state
Optional

state

Possible values are : canceled, completed, running, suspended, waiting, waiting-signal, failed, initializing,
boolean
debugging
Optional

debugging

integer As int32 As int32
errorLineNumber
Optional

errorLineNumber

boolean
encrypt-value
Optional

encrypt-value

string
execution-id
Optional

execution-id


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/actions/{categoryName}/{actionName}/executions